#
# spec file for package lv2-airwindows
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2022 Fabio Pesari
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lv2-airwindows
Version:        30.0
Release:        1.3
Summary:        LV2 port of the Airwindows plugins
License:        MIT
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            https://git.sr.ht/~hannes/airwindows-lv2
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(lv2)

%description

This is an LV2 port (by Hannes Braun) of the Airwindows plugins
originally developed by Chris Johnson.

Right now, only 155 plugins (out of 420) have been ported to LV2.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md NOTES.md
%license LICENSE
%dir %{_libdir}/lv2
%{_libdir}/lv2/*

%changelog
* Sat Sep 14 2024 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 30.0
  * New plugins: ADClip8, Air2, Air3, CrunchyGrooveWear, Overheads, Pop, Pop2,
    PurestFade
* Tue Mar  5 2024 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 28.0
  * New plugins: ConsoleLABuss, ConsoleLAChannel, Drive, FinalClip, Hull2,
    kPlateA, kPlateB, kPlateC, kPlateD, Luxor, PurestConsole3Buss,
    PurestConsole3Channel, RawGlitters, RawTimbers, Reverb, ShortBuss,
    TPDFDither, XLowpass, ZOutputStage
* Tue Dec  5 2023 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 26.2
  * New plugins: BassAmp, BassDrive, BassKit, BigAmp, Cabs, FireAmp, Flipity,
    GrindAmp, LeadAmp, MidAmp, ResEQ, ResEQ2, Sinew
* Sat Sep 16 2023 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 24.0
  * New plugins: Creature, Inflamer, Point, ToTape5
* Wed Aug  2 2023 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 22.0
  * New plugins: Console8BussHype, Console8BussIn, Console8BussOut,
    Console8ChannelHype, Console8ChannelIn, Console8ChannelOut,
    Console8LiteBuss, Console8LiteChannel, Console8SubHype, Console8SubIn,
    Console8SubOut, EverySlew, GlitchShifter, GoldenSlew, LilAmp, PlatinumSlew
* Fri Jul 21 2023 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 20.0
  * New plugins: BitShiftPan, BrightAmbience, BrightAmbience2, BrightAmbience3,
    ClipSoftly, Console0Channel, Console0Buss, EQ, PitchNasty, SampleDelay,
    Spiral2
  * Improve description for Verbity
  * Make sources C99 compliant
* Mon Apr  3 2023 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 18.0
  * Golem 2.0
* Sat Apr  1 2023 Hannes Braun <apple.hannes@gmail.com>
- Remove unnecessary gcc-c++ build requirement
* Wed Feb  1 2023 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 16.0
  * PowerSag 2.0
  * PowerSag2 2.0
* Fri Dec  9 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 14.0
  * Fracture 2.0
  * Infinity 2.0
  * Infinity2 2.0
  * MatrixVerb 2.0
* Sun Oct 16 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 12.0
  * Distance2 2.0
  * DrumSlam 2.0
  * Monitoring 2.0
* Sat Oct 15 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 11.0
  * BussColors4 2.0
  * HighGlossDither 2.0
  * Verbity 2.0
  * XBandpass 2.0
  * XNotch 2.0
  * XRegion 2.0
* Tue Aug 23 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 9.0
  * Compresaturator 2.0
  * curve 2.0
  * Facet 2.0
  * PhaseNudge 2.0
  * Recurve 2.0
  * SideDull 2.0
* Sat Jul  2 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 7.0
  * IronOxideClassic2 2.0
* Sat May 28 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 5.0
  * Console6Buss 2.0
  * Console6Channel 2.0
  * Desk 2.0
  * Focus 2.0
  * PurestDrive 2.0
  * Srsly2 2.0
  * ToTape6 2.0
  * TransDesk 2.0
  * Tube 2.0
  * Tube2 2.0
  * TubeDesk 2.0
* Wed May  4 2022 Hannes Braun <apple.hannes@gmail.com>
- Update to new upstream release 3.0
  * Channel9 2.0
  * MoNoam 2.0
  * PurestConsole2Buss 2.0
  * PurestConsole2Channel 2.0
  * Vibrato 2.0
- Remove fix-paths.patch: merged into upstream
- Remove fix-missing-link-lm.patch: merged into upstream
* Fri Apr 22 2022 Fabio Pesari <fpesari@tuxfamily.org>
- First upload, version 1.0
